import pandas
from sklearn import linear_model

df = pandas.read_csv("/home/olivier/Documents/Cloud_Perso/Annee_scolaire-2023-2024/SNPI/SNPI4_S7 - Machine Learning/TP MachineLearning/data.csv")

X = df[['Weight', 'Volume']]
y = df['CO2']

regr = linear_model.LinearRegression()
regr.fit(X, y)

#predict the CO2 emission of a car where the weight is 2300kg, and the volume is 1300cm3:
#predictedCO2 = regr.predict([[2300, 1300]])
predictedCO2 = regr.predict([[5000, 3000]])
print(regr.coef_) 
print(predictedCO2) 
